package liviu.tudor.convertor.provider;

/**
 * This class converts areas
 * 
 * @author Liviu Tudor
 */
public class AreaConvertor extends ConvertProviderAdapter 
{
    /**
     * Constructor.
     * Here we initialize all of our values we can convert.
     * The reference value is square meter.
     */
    public AreaConvertor()
    {
        addField( "Square inch",        6.5E-4 );
        addField( "Square feet",        0.0929 );
        addField( "Square yard",        0.83613 );
        addField( "Square mile",        2589988.1103 );
        addField( "Square millimeter",  1E-6 );
        addField( "Square centimeter",  1E-4 );
        addField( "Square meter",       1, true );
        addField( "Square kilometer",   1E+6 );
        addField( "Acres",              4046.8564224 );
        addField( "Hectares",           10000 );
        addField( "Ares",               100 );
        addField( "Hectares",           1E4 );
    }
    
    /**
     * Check the value.
     * In this case we simply want a positive value
     */
    protected void checkValue(int index, double value) throws IllegalArgumentException 
    {
        if( value < 0 )
            throw new IllegalArgumentException( "Only positive values are converted!" );
    }

    /**
     * Name this convertor <i>Area</i>
     */
    public String getName() 
    {
        return "Area";
    }

    /**
     * Return our convertor image name -- in this case, a ruler
     */
    public String getImageName() 
    {
        return "/img/area.png";
    }

    public String getInfo()
    {
        return "Provides area conversions to and from: square inches, square feet, square miles, square km etc.";
    }
}
