package liviu.tudor.convertor.provider;

/**
 * This class converts astronomical measures
 * 
 * @author Liviu Tudor
 */
public class AstronomicConvertor extends ConvertProviderAdapter 
{
    /**
     * Constructor.
     * Here we initialize all of our values we can convert.
     * The reference value is a kilometer.
     */
    public AstronomicConvertor() 
    {
        addField( "Kilometer",                  1, true );
        addField( "Atronomical Unit (A.U.)",    149597870.691 );
        addField( "Light-year",                 9454254955488.0 );
        addField( "Parsec",                     30856780000000.0 );
    }

    /**
     * Check the value.
     * In this case we accept any values
     */
    protected void checkValue(int index, double value) 
    {}

    /**
     * Name this convertor <i>Astronomical</i>
     */
    public String getName() 
    {
        return "Astronomical";
    }

    /**
     * Return our convertor image name -- in this case, a galaxy
     */
    public String getImageName() 
    {
        return "/img/astronomy.png";
    }

    public String getInfo()
    {
        return "Provides conversions to and from various astronomical units.";
    }
}
