package liviu.tudor.convertor.provider;

/**
 * This class converts energy units
 * 
 * @author Liviu Tudor
 */
public class EnergyConvertor extends ConvertProviderAdapter 
{
    /**
     * Constructor.
     * Here we initialize all of our values we can convert.
     * The reference value is a joule.
     */
    public EnergyConvertor() 
    {
        addField( "Joule",              1, true );
        addField( "BTU",                1055.0559 );
        addField( "Calorie",            4.184 );
        addField( "eV (electronvolt)",  1.6021773E-19 );
        addField( "kWh (kilowatt hour)",3600000.0 );
        addField( "ton [explosive]",    4184000000.0 );
        addField( "watthour",           3600 );
    }

    /**
     * Check the value.
     * In this case we accept any values
     */
    protected void checkValue(int index, double value) 
    {}

    /**
     * Name this convertor <i>Energy</i>
     */
    public String getName() 
    {
        return "Energy";
    }

    /**
     * Return our convertor image name -- in this case, some rubbish really
     */
    public String getImageName() 
    {
        return "/img/energy.png";
    }

    public String getInfo()
    {
        return "Provides energy conversions to and from Joule, BTU, calorie etc.";
    }
}
