package liviu.tudor.convertor.provider;

/**
 * This class converts frequency units
 * 
 * @author Liviu Tudor
 */
public class FrequencyConvertor extends ConvertProviderAdapter 
{
    /**
     * Constructor.
     * Here we initialize all of our values we can convert.
     * The reference value is a hertz.
     */
    public FrequencyConvertor() 
    {
        addField( "Hertz",              1, true );
        addField( "Degrees/second",     0.002777778 );
        addField( "Radian/second",      0.159154943 );
        addField( "RPM",                0.016666667 );
    }

    /**
     * Check the value.
     * In this case we accept any values
     */
    protected void checkValue(int index, double value) 
    {}

    /**
     * Name this convertor <i>Frequency</i>
     */
    public String getName() 
    {
        return "Frequency";
    }

    /**
     * Return our convertor image name -- in this case, a sinus cycle
     */
    public String getImageName() 
    {
        return "/img/frequency.png";
    }

    public String getInfo()
    {
        return "Provides frequency conversions to and from Hertz, RPM, degrees/second and radians/second";
    }
}
